Bug 893364

Summary: [abrt] libreoffice-core-3.5.7.2-7.fc17: SfxItemPool::GetWhich: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Guy Carmin <gcarmin>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: caolanm, dtardon, erack, ltinkl, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:78b576ee0676cc62c2a227ce1b4bc0f1787ac02d
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-16 07:05:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: smolt_data
none
File: var_log_messages none

Description Guy Carmin 2013-01-09 03:24:20 EST
Description of problem:
I've open a presentation downloaded from website (was in /tmp/) 

Version-Release number of selected component:
libreoffice-core-3.5.7.2-7.fc17

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///var/tmp/Cloud_basics_for_sales.odp --splash-pipe=6
crash_function: SfxItemPool::GetWhich
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.6.11-1.fc17.x86_64
remote_result:  NOTFOUND
uid:            18451

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SfxItemPool::GetWhich at /usr/src/debug/libreoffice-3.5.7.2/svl/source/items/itempool.cxx:981
 #1 SfxDispatchController_Impl::GetCoreMetric at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/control/unoctitm.cxx:600
 #2 SfxDispatchController_Impl::StateChanged at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/control/unoctitm.cxx:912
 #3 SfxStateCache::SetState_Impl at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/control/statcach.cxx:464
 #4 SfxShell::PutItem at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/control/shell.cxx:402
 #5 SdModule::GetSdOptions at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/app/sdmod.cxx:206
 #6 SdDrawDocument::SdDrawDocument at /usr/src/debug/libreoffice-3.5.7.2/sd/source/core/drawdoc.cxx:189
 #7 sd::DrawDocShell::Construct at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/docshell/docshell.cxx:124
 #8 sd::DrawDocShell::DrawDocShell at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/docshell/docshell.cxx:182
 #9 SdPresentationDocument_createInstance at /usr/src/debug/libreoffice-3.5.7.2/sd/source/ui/unoidl/unodoc.cxx:99
Comment 1 Guy Carmin 2013-01-09 03:24:28 EST
Created attachment 675304 [details]
File: backtrace
Comment 2 Guy Carmin 2013-01-09 03:24:31 EST
Created attachment 675305 [details]
File: cgroup
Comment 3 Guy Carmin 2013-01-09 03:24:34 EST
Created attachment 675306 [details]
File: core_backtrace
Comment 4 Guy Carmin 2013-01-09 03:24:38 EST
Created attachment 675307 [details]
File: dso_list
Comment 5 Guy Carmin 2013-01-09 03:24:41 EST
Created attachment 675308 [details]
File: environ
Comment 6 Guy Carmin 2013-01-09 03:24:44 EST
Created attachment 675309 [details]
File: limits
Comment 7 Guy Carmin 2013-01-09 03:24:49 EST
Created attachment 675310 [details]
File: maps
Comment 8 Guy Carmin 2013-01-09 03:24:53 EST
Created attachment 675311 [details]
File: open_fds
Comment 9 Guy Carmin 2013-01-09 03:24:56 EST
Created attachment 675312 [details]
File: proc_pid_status
Comment 10 Guy Carmin 2013-01-09 03:24:59 EST
Created attachment 675313 [details]
File: smolt_data
Comment 11 Guy Carmin 2013-01-09 03:25:02 EST
Created attachment 675314 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-01-09 11:37:07 EST
Is this reproducible ?, e.g. does opening the same .odp trigger the crash ?
Comment 13 Guy Carmin 2013-01-10 04:47:44 EST
Yep - every time.
Comment 14 Caolan McNamara 2013-01-10 05:52:32 EST
Does it crash with a specific .odp ?, if so can you attach it here. Or is it crashing with every .odp ?
Comment 15 Caolan McNamara 2013-04-16 07:05:35 EDT
I wonder if the config got busted somehow which triggered this, but can't reproduce.